#ifndef CARUN_H
#define CARUN_H

#include <QObject>
#include <QTimer>
#include <QDebug>
#include <QDateTime>

#include <QPluginLoader>
#include <QDir>
#include "plugin.h"
#include "stepList.h"
//#include "stepList.h" // define all working chain steps here


class CArun : public QObject
{
    Q_OBJECT

public:
    explicit CArun(QObject *parent = nullptr);

    QTimer      *timerChainCtrl;
    QTimer      *timerVendingTimeout;

    char loadPlugIn(char lade1_entlade2);

    QDir plugInDir;

private:

    hwinf *HWaccess=nullptr;        // global pointer to plugin-class



signals:
    void chainControl();
    void vendingTimeout();

};

#endif // CARUN_H
